Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document.io.log
Class LoggerMessage

    java.lang.Object
      info.bioinfweb.treegraph.document.io.log.LoggerMessage

    public class LoggerMessage

extends Object

Represents a message send by a document reader (see `DocumentReader` to a `LoadLogger`.

Since:
  2.0.42
Author:
  Ben Stöver

Field Summary
`private int` | `helpCode`
`private String` | `message`
`private LoggerMessageType` | `type`

Constructor Summary
`LoggerMessage(LoggerMessageType type, String message)`
`LoggerMessage(LoggerMessageType type, String message, int helpCode)`

Method Summary
`int` | `getHelpCode()`
`String` | `getMessage()`
`LoggerMessageType` | `getType()`
`void` | `setHelpCode(int helpCode)`
`void` | `setMessage(String message)`
`void` | `setType(LoggerMessageType type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### type

    private LoggerMessageType type

### message

    private String message

### helpCode

    private int helpCode

Constructor Detail

### LoggerMessage

    public LoggerMessage(LoggerMessageType type,
                         String message)

### LoggerMessage

    public LoggerMessage(LoggerMessageType type,
                         String message,
                         int helpCode)

Method Detail

### getType

    public LoggerMessageType getType()

### setType

    public void setType(LoggerMessageType type)

### getMessage

    public String getMessage()

### setMessage

    public void setMessage(String message)

### getHelpCode

    public int getHelpCode()

### setHelpCode

    public void setHelpCode(int helpCode)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD